<div class="card">
    {% if post.image %}
    <div class="card-image">
        <img src="{{ post.image }}" alt="{{ post.title }}">
    </div>
    {% else %}
    <header class="card-header">
        <a class="card-header-title" href="{{ site.baseurl }}{{ post.url }}">{{ post.title}}</a>
    </header>
    {% endif %}
    <div class="card-content">
        <div class="content">
            {% if post.image %}
            <a class="title is-4" href="{{ site.baseurl }}{{ post.url }}">{{ post.title}}</a>
            {% endif %}
            <p>{{ post.excerpt }}</p>
        </div>
        <div class="has-text-centered">
            <a href="{{ site.baseurl }}{{ post.url }}" class="button is-primary">Читати повністю...</a>
        </div>
    </div>
    <footer class="card-footer">
        <p class="card-footer-item">Опубліковано: {{ post.date | date: "%-d" }} {% assign m = post.date | date: "%-m", %} 
{% case m %}
  {% when '1' %}Січня
  {% when '2' %}Лютого
  {% when '3' %}Березня
  {% when '4' %}Квітня
  {% when '5' %}Травня
  {% when '6' %}Червня
  {% when '7' %}Липня
  {% when '8' %}Серпня
  {% when '9' %}Вересня
  {% when '10' %}Жовтня
  {% when '11' %}Листопада
  {% when '12' %}Грудня
{% endcase %} {{ post.date | date: "%Y" }}
</p>
    </footer>
</div>